Subject: Re: Unable to delete remote branch with a strange name

From: Andreas Schwab <[email-masked]>
Date: Tue, 28 Dec 2010 09:40:22 +0100

Jingzhao Ou <[email-masked]> writes:

> I guess somehow, git is confused by "origin/dev/main" and 
> "origin/remotes/origin/dev/main". Especially, it cannot identify the latter
> properly.

Try fully qualifying the remote branch (beginning with refs/heads/).

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."